## org.exist.xmldb.test
Class ResourceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.ResourceTest

All Implemented Interfaces:
  junit.framework.Test

public class ResourceTest
extends junit.framework.TestCase

Constructor Summary
`ResourceTest(java.lang.String arg0)` Constructor for XMLDBTest.

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testAddRemove()`
`void` `testQueryRemoveResource()`
`void` `testReadDOM()`
`void` `testReadNonExistingResource()`
`void` `testReadResource()`
`void` `testSetContentAsDOM()`
`void` `testSetContentAsSAX()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceTest

    public ResourceTest(java.lang.String arg0)

  Constructor for XMLDBTest.

Parameters:
  `arg0` -

Method Detail

### testReadNonExistingResource

    public void testReadNonExistingResource()

### testReadResource

    public void testReadResource()

### testReadDOM

    public void testReadDOM()

### testSetContentAsSAX

    public void testSetContentAsSAX()

### testSetContentAsDOM

    public void testSetContentAsDOM()

### testQueryRemoveResource

    public void testQueryRemoveResource()

### testAddRemove

    public void testAddRemove()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.